
.mb-10 {
  margin-bottom: 10px;
}

.mb-20 {
  margin-bottom: 20px;
}

.mb-30 {
  margin-bottom: 30px;
}

.bold {
  font-weight: bold;
}

.logo-container {
    position: absolute;
    top: -60px;
    left: 50%;
    transform: translateX(-50%);

    width: 120px;
    height: 120px;
    flex-shrink: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 15px;
    background: white;
    border-radius: 50%;
    box-shadow: 0 0 6px rgb(237 230 9), 0 0 15px rgb(243, 241, 241), 0 0 25px rgb(169 65 233);
}

.logo-container::before {
    content: '';
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 120px;
    height: 120px;
    background: linear-gradient(135deg, rgba(0, 255, 255, 0.3), rgba(255, 0, 255, 0.3));
    border-radius: 50%;
    animation: logoPulse 2s ease-in-out infinite;
}

.logo-container img {
    width: 120px;
    /* height: 60px; */
    position: relative;
    z-index: 1;
    filter: drop-shadow(0 0 15px rgba(0, 255, 255, 0.5));
}

.company-name {
    margin-top: 90px;
}



.form-control:disabled, .form-control[readonly] {
    background-color: #e2e1f9;
    color: #484646;
    opacity: 1;
}

.btn-main {
    font-weight: bold;
    font-size: 1rem;
    background-color: #FFA300;
    color: white;
    border-color: #FFA300;
}

.steps {
    display: none !important;
    transition: opacity 5s ease; 
    font-family: 'Montserrat', sans-serif;   
}

#step-2:not(.is-visible) {
    display: none !important;
}

#step-2 {
    margin-top: 30px;
    margin-bottom: 30px;
}

.steps.is-visible {
  display: flex !important;
  opacity: 1 !important;
}

#step-1 #ciduser{
    background: #e2e1f9;
    color: #484646;
    height: 60px;
    font-size: 1.1em;
    text-align: center;
    font-weight: bold;
    letter-spacing: 5px;

}

.back {
    margin-top: 30px;
    display: inline-block;
    font-size: 14px;
}

/* Chrome, Safari, Opera, Edge */
#ciduser::-webkit-input-placeholder {
    color: #b4b1b1;
    /* font-size: 14px;
    margin-top: -5px;
    linep-height: 1; */
}

/* Firefox 19+ */
#ciduser::-moz-placeholder {
  color: #b4b1b1;
  opacity: 1;
    /* font-size: 14px;
    margin-top: -5px;
    linep-height: 1;
    color: #888888; */
}

/* IE 10-11 */
#ciduser:-ms-input-placeholder {
  color: #b4b1b1;
    /* font-size: 14px;
    margin-top: -5px;
    linep-height: 1; */
}

/* Alert */
.custom-alert-panel {
  border: none;
  border-radius: 12px;
  box-shadow: 0 10px 30px rgba(0, 0, 0, 0.15);
}
.alert-accent-bar {
  height: 6px;
  width: 100%;
}

/* Desain Wadah Lingkaran Icon */
.icon-box-wrapper {
  width: 80px;
  height: 80px;
  border-radius: 50%;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 35px;
}

/* Success */
.custom-success .alert-accent-bar { background-color: #28a745; }
.custom-success .modal-title { color: #28a745; }
.custom-success .icon-box-wrapper { background-color: #d4edda; color: #28a745; }
.custom-success #modalActionButton { background-color: #28a745; color: white; border-radius: 20px; }

/* Error */
.custom-danger .alert-accent-bar { background-color: #dc3545; }
.custom-danger .modal-title { color: #dc3545; }
.custom-danger .icon-box-wrapper { background-color: #f8d7da; color: #dc3545; }
.custom-danger #modalActionButton { background-color: #dc3545; color: white; border-radius: 20px; }

/* --- Warning --- */
.custom-warning .alert-accent-bar { background-color: #ffc107; }
.custom-warning .modal-title { color: #d39e00; } /* Warna teks sedikit lebih gelap agar terbaca jelas */
.custom-warning .icon-box-wrapper { background-color: #fff3cd; color: #d39e00; }
.custom-warning #modalActionButton { background-color: #ffc107; color: #212529; border-radius: 20px; }

@media (min-width: 320px) and (max-width: 480px) {

   #step-1 #ciduser {
        height: 40px;
        font-size: 1.2em;
        background: #c0beef;
        color: #000000;
        text-align: center;
        font-weight: bold;
        letter-spacing: 2px;
    }

    .steps .p-5 {
        width: 95% !important;
        height: 75%;
        margin-top: 60px;
    }

    #step-2 {
        margin-top: 0;
        margin-bottom: 0;
    }

    #step-2 .p-5 {
        margin-bottom: 10px;
    }

    /* Chrome, Safari, Opera, Edge */
    #ciduser::-webkit-input-placeholder {
        font-size: 14px;
    }

    /* Firefox 19+ */
    #ciduser::-moz-placeholder {
    color: #888888;
    opacity: 1;
        font-size: 14px;
    }

    /* IE 10-11 */
    #ciduser:-ms-input-placeholder {
    color: #888888;
        font-size: 14px;
    }
}